Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 229589 - Bad State on HP-Notebooks
Summary: Bad State on HP-Notebooks
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 6
Hardware: All
OS: Linux
medium
urgent
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-21 21:53 UTC by Johannes Köster
Modified: 2011-12-13 22:29 UTC (History)
3 users (show)

Fixed In Version: 2.6.19-1.2911.6.5
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-03-14 21:03:16 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Linux Kernel 5534 None None None Never

Description Johannes Köster 2007-02-21 21:53:17 UTC
Description of problem:
On most newer HP notebooks, Bios gets into a "Bad State" when shutting down or 
rebooting Linux without removing psmouse module beforehand (which is 
apparently impossible in Fedora Core). In the Kernel-Bugzilla there are 
patches for this issue which are in the upstream of 2.6.21 
(http://bugzilla.kernel.org/show_bug.cgi?id=5534#c204). I suggest adding them 
to the 2.6.19 Fedora-kernel-packages as novell did the same for suse and they 
didn't experienced problems.

How reproducible:
Shutdown or reboot

Bad State of the Bios causes several errors depending on which hp notebook one 
uses:
acpi-events and battery-status are not getting updated anymore
fans are not working properly
cpufrequency is not set properly

Comment 1 Chuck Ebbert 2007-02-27 16:17:25 UTC
Apparently will be fixed in 2.6.19.6

Comment 2 Chuck Ebbert 2007-03-06 14:45:50 UTC
Should be fixed in kernel-2.6.19-1.2911.6.5


Comment 3 Johannes Köster 2007-03-14 17:29:36 UTC
I can confirm it working with 2.6.19-2911.6.5. Bios not in Bad state anymore 
on HP Compaq nx6325.
However there are still problems updating Battery and AC status. 

Comment 4 Chuck Ebbert 2007-03-14 21:00:53 UTC
Please test 2.6.20-1.2925.fc6

Comment 5 Johannes Köster 2007-03-15 08:33:50 UTC
Does not work unfortunately :-(
still the same problem


Note You need to log in before you can comment on or make changes to this bug.